<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output encoding="UTF-8"/>
  <!--Select all nodes-->
  <xsl:template match="node()|@*">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
    </xsl:copy>
  </xsl:template>
  <xsl:template match="/island[1]/@name">
    <xsl:attribute name="name">UNDERSNAKE</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/@map">
    <xsl:attribute name="map">UnderSnake</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[1]/@id">
    <xsl:attribute name="id">DepthDirection</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[1]/@depends"/>
  <xsl:template match="/island[1]/level[1]/@name">
    <xsl:attribute name="name">LEVEL_NAME_DEPTHDIRECTION</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[1]/@text">
    <xsl:attribute name="text">LEVEL_TEXT_DEPTHDIRECTION</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[1]/@ocd">
    <xsl:attribute name="ocd">moves,11</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[2]/@id">
    <xsl:attribute name="id">SurvivalSupport</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[2]/@depends">
    <xsl:attribute name="depends">DepthDirection</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[2]/@name">
    <xsl:attribute name="name">LEVEL_NAME_SURVIVALSUPPORT</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[2]/@text">
    <xsl:attribute name="text">LEVEL_TEXT_SURVIVALSUPPORT</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[2]/@ocd">
    <xsl:attribute name="ocd">moves,8</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[3]/@id">
    <xsl:attribute name="id">AutomaticAscension</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[3]/@depends">
    <xsl:attribute name="depends">SurvivalSupport</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[3]/@name">
    <xsl:attribute name="name">LEVEL_NAME_AUTOMATICASCENSION</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[3]/@text">
    <xsl:attribute name="text">LEVEL_TEXT_AUTOMATICASCENSION</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[3]/@ocd">
    <xsl:attribute name="ocd">time,70</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[4]/@id">
    <xsl:attribute name="id">FlyingAndFalling</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[4]/@depends">
    <xsl:attribute name="depends">ClimbingConnection,DangerousDangling</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[4]/@name">
    <xsl:attribute name="name">LEVEL_NAME_FLYINGANDFALLING</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[4]/@text">
    <xsl:attribute name="text">LEVEL_TEXT_FLYINGANDFALLING</xsl:attribute>
  </xsl:template>
  <xsl:template match="/island[1]/level[4]/@cutscene"/>
  <xsl:template match="/island[1]/level[4]">
    <xsl:copy>
      <xsl:apply-templates select="node()|@*"/>
    </xsl:copy>
    <level id="DangerousDangling" depends="UnderSnakeLevel" name="LEVEL_NAME_DANGEROUSDANGLING" text="LEVEL_TEXT_DANGEROUSDANGLING" ocd="moves,1"/>
    <level id="StalacstaticSleep" depends="AutomaticAscension" name="LEVEL_NAME_STALACSTATICSLEEP" text="LEVEL_TEXT_STALACSTATICSLEEP" ocd="balls,11"/>
    <level id="ClimbingConnection" depends="StalacstaticSleep" name="LEVEL_NAME_CLIMBINGCONNECTION" text="LEVEL_TEXT_CLIMBINGCONNECTION" ocd="moves,14"/>
    <level id="UnderSnakeLevel" depends="AutomaticAscension" name="LEVEL_NAME_UNDERSNAKELEVEL" text="LEVEL_TEXT_UNDERSNAKELEVEL" ocd="moves,13"/>
    <level id="TremblingTrust" depends="FlyingAndFalling" name="LEVEL_NAME_TREMBLINGTRUST" text="LEVEL_TEXT_TREMBLINGTRUST" ocd="moves,0"/>
    <level id="SecondSuicide" depends="TremblingTrust" name="LEVEL_NAME_SECONDSUICIDE" text="LEVEL_TEXT_SECONDSUICIDE" ocd="moves,9"/>
  </xsl:template>
</xsl:stylesheet>